#{extends 'border.html'/}
<div class="container">
	
	<div class="row">
		<div class="col-md-12">
			<h3>&{'keranjang_belanja.label'}</h3>
		</div>
	</div>
#{alert /}
    <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
	<div class="row">
		<div class="cart-wrapper">
			<div class="col-md-12">
				<div class="panel-group">
					<div class="cart-list">
						#{list keranjangs, as:'k'}
						<div class="panel panel-default">
                                <div class="panel-heading">
									<a class="collapsed" href="#item${k_index}" data-toggle="collapse" aria-expanded="false"
									   aria-controls="item1"><i class="fa fa-angle-right"></i>${" "+k?.namaPenyedia + (k?.namaKomoditas == null?" ":" - ") + k?.namaKomoditas + (k?.namaWilayah == "" ? "" : " - ") + k?.namaWilayah + (k?.kursId == null?" ":" - ") + k?.namaKurs}
									</a>
								</div>
                                <div id="item${k_index}" class="collapse panel-collapse">
                                    <div class="list-group">
                                        <div class="cart-item-list">
											#{list k.produkKeranjangList, as:'p'}
                                                <div class="cart-item">
                                                    <div class="row">
                                                        <div class="col-md-7">
                                                            <div class="row">
                                                                <div class="col-md-3">
                                                                    <img src="${p.urlImage}" class="img img-responsive" onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                                                                </div>
                                                                <div class="col-md-5">
                                                                    <h5>${p.namaProduk}</h5>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <form class="form">
                                                                        <div class="form-group">
                                                                            <p>&{'kuantitas.label'}</p>
                                                                            <input name="jumlah" class="form-control inp-kuantitas" type="text" value="${p?.kuantitas?.format('###')}"/>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-5">
                                                            <div class="row">
                                                                <div class="col-md-5">
                                                                    <form class="form">
                                                                        <div class="form-group">
                                                                            <p>&{'harga_satuan.label'}</p>
                                                                            <input class="form-control" type="text" readonly value="${p.hargaSatuan.formatCurrency(p.namaKurs).raw()}"/>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                                <div class="col-md-5">
                                                                    <form class="form">
                                                                        <div class="form-group">
                                                                            <p>&{'total_harga.label'}</p>
                                                                            <input class="form-control" type="text" readonly value="${(p.hargaSatuan * p?.kuantitas).formatCurrency(p.namaKurs).raw()}"/>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                                <div class="col-md-2">
                                                                    <div class="pull-right">
                                                                        <button class="btn btn-xs btn-danger" data-toggle="modal" data-target="#confirm-delete" data-produkid="${p.produkId}">
                                                                            <i class="fa fa-trash"></i>
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
											#{/list}
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <a href="@{controllers.purchasing.KeranjangBelanjaCtr.deleteAllProducts(id:k.penyediaId, kursId:k?.kursId, wilayahId:k?.wilayahId, komoditasId:k?.komoditasId)}" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i> &{'hapus.label'} &{'semua.label'}</a>
                                                <!--#{link action:@purchasing.KeranjangBelanjaCtr.buatPaket(k.penyediaId, k?.wilayahId), iconClass:'fa-file', title:' Buat Paket'/}-->
                                                <a href="@{purchasing.KeranjangBelanjaCtr.buatPaket(k.penyediaId, k?.wilayahId, k?.kursId, k?.komoditasId)}" class="btn btn-sm btn-primary"
                                                    *{#{if (p.hargaSatuanRupiah * p?.kuantitas > 200000000) && aktifUser.isPp()} onclick="return confirm('PP hanya bisa beli paket dibawah 200 juta. Apakah anda yakin ingin melanjutkan?')" #{/if}}*
                                                    *{#{if (p.hargaSatuanRupiah * p?.kuantitas < 200000000) && aktifUser.isPpk()} onclick="return confirm('PPK hanya bisa beli paket diatas 200 juta. Apakah anda yakin ingin melanjutkan?')" #{/if}>}*
                                                    #{if (k.totalKeseluruhan > 200000000) && aktifUser.isPp()} onclick="return totalKeseluruhanLebih200Juta()" #{/if}
                                                    #{if (k.totalKeseluruhan < 200000000) && aktifUser.isPpk()} onclick="return confirm('&{'peringatan_ppk_beli.label'}')" #{/if}>
                                                    <i class="fa fa-file"></i> &{'buat_paket.label'}</a>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="pull-right">
												<span>
													&{'total_keseluruhan.label'}
													*{<b>${(p.hargaSatuan * p?.kuantitas).formatCurrency(p.namaKurs).raw()}</b>}*
                                                        <b>${(k.totalKeseluruhan).formatCurrency().raw()}</b>
												</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
						</div>
						#{/list}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                &{'konfirmasi.label'}
            </div>
            <div class="modal-body">
                &{'produk.keranjangbelanja.delete.konfirmasi'}?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">&{'cancel'}</button>
                <button type="button" class="btn btn-danger btn-ok">&{'delete'}</button>
            </div>
        </div>
    </div>
</div>
#{set 'moreScripts'}
    <script type="text/javascript">
        function totalKeseluruhanLebih200Juta() {
            alert('&{'peringatan_pp_tidak_bisa_beli.label'}');
            return false;
        }
        $("body").on('show.bs.modal', '#confirm-delete', function(e) {
            // console.log("IN!");
            $(this).find('.btn-ok').attr('data-produkid', $(e.relatedTarget).data('produkid'));
        });

        $("body").on('click', '.btn-ok', function () {
            var loadUrl = "@{purchasing.KeranjangBelanjaCtr.listBasket()}";
            var produkId = $(this).data("produkid");
            $.ajax({
                url: '@{purchasing.KeranjangBelanjaCtr.removeFromBasket()}',
                data: {"produkId": produkId},
                type: 'POST',
                success: function (res) {
                    $('#confirm-delete').modal('toggle');
                    location.reload();
                },
                error: function () {
                    $('#confirm-delete').modal('toggle');
                    location.reload();
                }
            });

        })



        $("body").on('change', '.inp-kuantitas', function () {
        var jumlah = $('input[name="jumlah"]').map(function(){return $(this).val();}).get();
        var loadUrl = "@{purchasing.KeranjangBelanjaCtr.listBasket()}";
        $.ajax({
            url: '@{purchasing.KeranjangBelanjaCtr.updateFromBasket()}',
            data: {"jumlah": jumlah},
            type: 'POST',
            success: function (res) {
                if (res.result == 'ok') {
                    location.reload();
                    $('#alert').html('<div class="alert alert-success">Berhasil Update barang di keranjang belanja </div>');
                }else if(res.result == 'empty') {
                    location.reload();
                    $('#alert').html('<div class="alert alert-danger">Gagal update di keranjang belanja, Produk Kosong</div>');
                }else{
                    location.reload();
                    $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal update barang di keranjang belanja</div>');
                    $("#listBasket").load(loadUrl);
                }
            },
            error: function () {
                $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal update barang di keranjang belanja</div>');
                $("#listBasket").load(loadUrl);
            }
        })
    })
    </script>
#{/set}